#include "communication.h"

void protocol_recv_frame(u8 *data, u16 rx_len) {
	if (rx_len < sizeof(cmd_frame_t)) {
		return;
	}
	cmd_frame_t *head = (cmd_frame_t *)data;
	switch (head->key) {
		case Cmd_Start:
			break;
		case Cmd_Ready:
			break;
		case Cmd_Hall_Cali:
			break;
		case Cmd_Limit_Speed:
			break;
		case Cmd_Limit_Current:
			break;
		case Cmd_PI_Param:
			break;
		default:
			break;		
	}
}

